using System;
using NinjaTrader.Cbi;

internal sealed class Delegate511 : MulticastDelegate
{
	public extern void Invoke(EventHandler<ConnectionStatusEventArgs> eventHandler_0);

	public static void smethod_0(EventHandler<ConnectionStatusEventArgs> eventHandler_0, Delegate511 delegate511_1)
	{
		delegate511_1(eventHandler_0);
	}

	public extern Delegate511(object object_0, IntPtr intptr_0);

	static Delegate511()
	{
		Class10.smethod_13(typeof(Delegate511).TypeHandle);
	}

	internal static Delegate511 delegate511_0;
}
